%define tarname db-backed
Summary: A convenient mechanism for managing database-backed objects in Ruby
Name: ruby-db-backed
Version: 1.0c
Release: 1
License: GPL
Group: Applications/Ruby
Source: http://www.zweknu.org/technical/uploads/%{tarname}-%{version}.tar.gz
URL: http://www.zweknu.org/technical/index.rhtml?s=p|7&
Packager: Ian Macdonald <ian@caliban.org>
BuildRoot: /var/tmp/%{name}-%{version}
BuildRequires: ruby

%define ruby18 %( [ `ruby -r rbconfig -e 'print Config::CONFIG["MAJOR"], ".", Config::CONFIG["MINOR"]'` = '1.8' ] && echo 1 || echo 0 )

%if %{ruby18}
Requires: ruby >= 1.8.0
%else
Requires: ruby >= 1.6.0
%endif

%description
This library provides a convenient mechanism for managing database-backed
objects in Ruby. By using the library, managing records is simply a matter of
describing the table and how it should be interpreted.

%prep
%setup -n %{tarname}-%{version}
ruby install.rb config
ruby install.rb setup

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
ruby install.rb install --prefix=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT%{_prefix} -type f -print | \
  ruby -pe 'sub(%r(^'$RPM_BUILD_ROOT'), "")' > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
%doc COPYING CHANGELOG README.en.txt *.html sample/

%changelog
* Wed Apr 14 2004 Ian Macdonald <ian@caliban.org> 1.0c
- 1.0c
